From: "Julien Roy" <julien@jroy.ca>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: www-client/nyxt/
Date: Tue, 20 Feb 2024 18:23:57 +0000 (UTC) [thread overview]
Message-ID: <1708443128.cbcd62313c6dc4e402b2564f54594827bb4e6de5.julien@gentoo> (raw)
commit: cbcd62313c6dc4e402b2564f54594827bb4e6de5
Author: Dale Showers <gentoo <AT> fictx <DOT> com>
AuthorDate: Tue Feb 20 15:31:12 2024 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Tue Feb 20 15:32:08 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cbcd6231
www-client/nyxt: Add 3.11.3 remove 3.8.0
Signed-off-by: Dale Showers <gentoo <AT> fictx.com>
www-client/nyxt/Manifest | 2 +-
www-client/nyxt/nyxt-3.11.3.ebuild | 87 ++++++++++++++++++++++++++++++++
www-client/nyxt/nyxt-3.8.0.ebuild | 100 -------------------------------------
3 files changed, 88 insertions(+), 101 deletions(-)
diff --git a/www-client/nyxt/Manifest b/www-client/nyxt/Manifest
index 49d499b749..35d13d6b73 100644
--- a/www-client/nyxt/Manifest
+++ b/www-client/nyxt/Manifest
@@ -1,4 +1,4 @@
DIST nyxt-3.10.0.gh.tar.xz 17692748 BLAKE2B 278fc2874194b26bf33359b5051c42844141ae2863dd06bfd4c732079de1cca15cb794304852725f2032b9d3820223b5e25cf6df63201cbba81a5917f4c70ac9 SHA512 79285e75eb896983dc4931d7802bb808f5c6f04f04a2f1c002bd72586562f35387c04416308964ce0ef6d630b0aacf21590c6625caa8cf6bf1a3396bf2e95794
DIST nyxt-3.11.2.gh.tar.xz 18094244 BLAKE2B d1d48e2f8dbfc156cca05ce9e51386a6c3ae96b0e4f956ac140eeca6deb551be54806f4a11a910d58c40b5191bc9e3eb4e476f397b8a78c8c30daba71e606172 SHA512 4011196895af57c273e101b0a48248d30ba4e5cded1eedf1366cdef87b6a5d70f18f7c522aad7ec7776255e040a699edec637d915f5faacd27113fd39011cc83
-DIST nyxt-3.8.0.gh.tar.xz 17482408 BLAKE2B 177efead60a27e3b537468afe30ce2889d6579260a5bf0b7413b0c51a8ac4c066e091418083aef702b345128b59d3f7e266d342509eaec1f45941048368466db SHA512 6898d1b4be25f9c123453816a15e2eab10b36c2a16156bae4ff3e48b02f3f4ba944a94c7b42e3221cecff572a943f7eb1b9ffd7e6c0b8f9bd7c6e95191809114
+DIST nyxt-3.11.3.gh.tar.xz 18094008 BLAKE2B 11d85728e0593d2aab0e89c860f47a142ee8db0a4c0bf7c7c6d3e409152735d5ab66c140d413fdadd842738d75a65d02fe402dea5e3b272ec9cd413a2b9d4160 SHA512 b9e99efb137c3abc83ba7ee459b3dea91616c88613a30d8ef701b3b6091c6ed088572b16f9152883e7a66393f80afa094b2b49000ee519cb9e3c0e432957a1d8
DIST nyxt-3.9.0.gh.tar.xz 17712004 BLAKE2B a799c874a4ca3ca4141a11d3211094e88f9ecd954f5220cb9a030a2d45546f841d532e087a7bdf1cb4d23532f8d0c37082eb82366c97dbc9a744b22afddea41a SHA512 f1669e02705052d5f22958b77d9489f008e90c0b5bbc216681843bb344c2b8d74753c485424a4be46a6f4ab4c12e6e6238ed663c1e5987fe5b31e3582126ebb8
diff --git a/www-client/nyxt/nyxt-3.11.3.ebuild b/www-client/nyxt/nyxt-3.11.3.ebuild
new file mode 100644
index 0000000000..463f1d0ed6
--- /dev/null
+++ b/www-client/nyxt/nyxt-3.11.3.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature xdg
+
+DESCRIPTION="Nyxt - the hacker's power-browser"
+HOMEPAGE="https://nyxt.atlas.engineer/"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/atlas-engineer/${PN}.git"
+ EGIT_SUBMODULES=( '*' )
+ EGIT_BRANCH="master"
+ EGIT_CHECKOUT_DIR="${S}"
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/atlas-engineer/${PN}/releases/download/${PV}/nyxt-${PV}-source-with-submodules.tar.xz -> ${PF}.gh.tar.xz"
+fi
+
+# Portage replaces the nyxt binary with scbl when stripping
+RESTRICT="mirror strip"
+
+LICENSE="BSD CC-BY-SA-3.0"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ gnome-base/gsettings-desktop-schemas
+ net-libs/glib-networking
+ net-libs/webkit-gtk:4.1
+ sys-libs/libfixposix
+"
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-lisp/sbcl-2.0.0
+"
+QA_FLAGS_IGNORED="usr/bin/${PN}"
+
+if [[ "${PV}" != 9999 ]]; then
+ src_unpack() {
+ mkdir "${WORKDIR}/${P}" || die
+ cd "${WORKDIR}/${P}"
+ default
+}
+
+fi
+
+src_compile() {
+ emake all
+ use doc && emake doc
+}
+
+src_install(){
+ dobin "${S}/nyxt"
+
+ if [ "$(use doc)" ]
+ then
+ docinto "/usr/share/doc/${P}"
+ dodoc "${S}/manual.html"
+ fi
+
+ for icon in 16x16 32x32 128x128 256x256 512x512; do
+ newicon -s ${icon} "${S}/assets/nyxt_${icon}.png" ${PN}.png
+ done
+
+ domenu "${S}/assets/nyxt.desktop"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ optfeature "for X11 clipboard support" "x11-misc/xclip"
+ optfeature "for spellchecking" "app-text/enchant"
+ optfeature "for HTML5 audio/video" "media-libs/gstreamer"
+ optfeature "for HTML5 audio/video" "media-libs/gst-plugins-bad"
+ optfeature "for HTML5 audio/video" "media-libs/gst-plugins-base"
+ optfeature "for HTML5 audio/video" "media-libs/gst-plugins-good"
+ optfeature "for HTML5 audio/video" "media-libs/gst-plugins-ugly"
+ optfeature "for HTML5 audio/video" "media-plugins/gst-plugins-libav"
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}
diff --git a/www-client/nyxt/nyxt-3.8.0.ebuild b/www-client/nyxt/nyxt-3.8.0.ebuild
deleted file mode 100644
index ba6a328f5e..0000000000
--- a/www-client/nyxt/nyxt-3.8.0.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop optfeature xdg-utils
-
-DESCRIPTION="Nyxt - the hacker's power-browser"
-HOMEPAGE="https://nyxt.atlas.engineer/"
-
-if [[ "${PV}" = *9999* ]]
-then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/atlas-engineer/${PN}.git"
-else
- KEYWORDS="~amd64"
- SRC_URI="https://github.com/atlas-engineer/${PN}/releases/download/${PV}/nyxt-${PV}-source-with-submodules.tar.xz -> ${PF}.gh.tar.xz"
-fi
-
-# Portage replaces the nyxt binary with scbl when stripping
-RESTRICT="mirror strip"
-
-LICENSE="BSD CC-BY-SA-3.0"
-SLOT="0"
-IUSE="doc"
-
-RDEPEND="
- dev-libs/gobject-introspection
- gnome-base/gsettings-desktop-schemas
- media-libs/gst-plugins-bad
- media-libs/gst-plugins-base
- media-libs/gst-plugins-good
- media-libs/gst-plugins-ugly
- media-plugins/gst-plugins-libav
- net-libs/glib-networking
- net-libs/webkit-gtk:4.1
- sys-libs/libfixposix
-"
-
-DEPEND="${RDEPEND}"
-BDEPEND="
- >=dev-lisp/sbcl-2.0.0
-"
-QA_FLAGS_IGNORED="usr/bin/${PN}"
-
-src_unpack() {
- default
-
- # nyxt-3-source-with-submodules.tar.xz doesn't unpack in a subdirectory
- # so we create it instead of working directly in ${WORKDIR}
- if [[ "${PV}" != *9999* ]]
- then
- mkdir "${WORKDIR}/${P}" || die
- mv "${WORKDIR}/assets" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/_build" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/build-scripts" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/documents" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/examples" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/INSTALL" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/libraries" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/licenses" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/makefile" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/nyxt.asd" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/README.org" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/source" "${WORKDIR}/${P}/" || die
- mv "${WORKDIR}/tests" "${WORKDIR}/${P}/" || die
- fi
-}
-
-src_compile() {
- emake all
- use doc && emake doc
-}
-
-src_install(){
- dobin "${S}/nyxt"
-
- if [ "$(use doc)" ]
- then
- docinto "/usr/share/doc/${P}"
- dodoc "${S}/manual.html"
- fi
-
- newicon -s 512 "${S}/assets/nyxt_512x512.png" nyxt.png
- domenu "${S}/assets/nyxt.desktop"
-}
-
-pkg_postinst() {
- xdg_mimeinfo_database_update
- xdg_desktop_database_update
- xdg_icon_cache_update
- optfeature "for X11 clipboard support" "x11-misc/xclip"
- optfeature "for spellchecking" "app-text/enchant"
-}
-
-pkg_postrm() {
- xdg_mimeinfo_database_update
- xdg_desktop_database_update
- xdg_icon_cache_update
-}
next reply other threads:[~2024-02-20 18:24 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-20 18:23 Julien Roy [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-21 9:51 [gentoo-commits] repo/proj/guru:master commit in: www-client/nyxt/ David Roman
2024-10-21 9:51 David Roman
2024-08-31 13:06 David Roman
2024-08-31 13:06 David Roman
2024-08-02 9:31 David Roman
2024-06-01 22:03 Julien Roy
2024-06-01 22:03 Julien Roy
2024-06-01 22:03 Julien Roy
2024-05-31 8:55 Julien Roy
2024-05-31 8:55 Julien Roy
2024-05-31 8:55 Julien Roy
2024-04-29 21:27 David Roman
2024-04-14 17:03 Julien Roy
2024-03-19 23:50 Julien Roy
2024-03-19 23:50 Julien Roy
2024-03-19 23:50 Julien Roy
2024-03-04 21:09 Julien Roy
2024-02-07 10:10 David Roman
2024-02-07 10:10 David Roman
2023-10-15 22:23 Haelwenn Monnier
2023-10-15 22:23 Haelwenn Monnier
2023-10-15 22:23 Haelwenn Monnier
2023-09-29 11:30 David Roman
2023-09-14 13:22 David Roman
2023-09-14 13:22 David Roman
2023-08-18 6:21 Viorel Munteanu
2023-08-18 6:21 Viorel Munteanu
2023-07-02 13:06 Florian Schmaus
2023-07-02 13:06 Florian Schmaus
2023-06-12 19:27 Florian Schmaus
2023-06-12 19:27 Florian Schmaus
2023-05-29 20:57 Florian Schmaus
2023-05-29 20:57 Florian Schmaus
2023-05-25 2:21 Haelwenn Monnier
2023-04-20 19:40 Florian Schmaus
2023-04-20 19:40 Florian Schmaus
2023-04-20 19:40 Florian Schmaus
2023-03-29 6:56 Florian Schmaus
2023-03-08 9:08 Florian Schmaus
2023-02-08 12:09 Florian Schmaus
2023-02-08 12:09 Florian Schmaus
2023-02-01 21:36 Viorel Munteanu
2023-01-30 10:29 Viorel Munteanu
2023-01-30 10:29 Viorel Munteanu
2023-01-14 18:43 Andrew Ammerlaan
2022-05-23 17:15 Haelwenn Monnier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708443128.cbcd62313c6dc4e402b2564f54594827bb4e6de5.julien@gentoo \
--to=julien@jroy.ca \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox